CDATA (JDOM v1.1.1)
Date: 2019-01-01

org.jdom

## Class CDATA

- java.lang.Object
- - org.jdom.Content
  - - org.jdom.Text
    - - org.jdom.CDATA

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class CDATA
      extends Text

  An XML CDATA section. Represents character-based content within an XML document that should be output within special CDATA tags. Semantically it's identical to a simple `Text` object, but output behavior is different. CDATA makes no guarantees about the underlying textual representation of character data, but does expose that data as a Java String.
  Version:
    $Revision: 1.32 $, $Date: 2007/11/10 05:28:58 $
  Author:
    Dan Schaffer, Brett McLaughlin, Jason Hunter, Bradley S. Huffman, Victor Toni
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jdom.Text

      `value`

    - ### Fields inherited from class org.jdom.Content

      `parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CDATA()` This is the protected, no-args constructor standard in all JDOM classes.
    `` | `CDATA(java.lang.String string)` This constructor creates a new `CDATA` node, with the supplied string value as it's character content.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(java.lang.String str)` This will append character content to whatever content already exists within this `CDATA` node.
    `void` | `append(Text text)` This will append the content of another `Text` node to this node.
    `Text` | `setText(java.lang.String str)` This will set the value of this `CDATA` node.
    `java.lang.String` | `toString()` This returns a `String` representation of the `CDATA` node, suitable for debugging.

    - ### Methods inherited from class org.jdom.Text

      `clone, getText, getTextNormalize, getTextTrim, getValue, normalizeString`

    - ### Methods inherited from class org.jdom.Content

      `detach, equals, getDocument, getParent, getParentElement, hashCode, setParent`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDATA

          protected CDATA()

      This is the protected, no-args constructor standard in all JDOM classes. It allows subclassers to get a raw instance with no initialization.

    - #### CDATA

          public CDATA(java.lang.String string)

      This constructor creates a new `CDATA` node, with the supplied string value as it's character content.
      Parameters:
        `string` - the node's character content.
      Throws:
        `IllegalDataException` - if `str` contains an illegal character such as a vertical tab (as determined by `Verifier.checkCharacterData(java.lang.String)`) or the CDATA end delimiter `]]>`.

  - ### Method Detail

    - #### setText

          public Text setText(java.lang.String str)

      This will set the value of this `CDATA` node.
      Overrides:
        `setText` in class `Text`
      Parameters:
        `str` - value for node's content.
      Returns:
        the object on which the method was invoked
      Throws:
        `IllegalDataException` - if `str` contains an illegal character such as a vertical tab (as determined by `Verifier.checkCharacterData(java.lang.String)`) or the CDATA end delimiter `]]>`.

    - #### append

          public void append(java.lang.String str)

      This will append character content to whatever content already exists within this `CDATA` node.
      Overrides:
        `append` in class `Text`
      Parameters:
        `str` - character content to append.
      Throws:
        `IllegalDataException` - if `str` contains an illegal character such as a vertical tab (as determined by `Verifier.checkCharacterData(java.lang.String)`) or the CDATA end delimiter `]]>`.

    - #### append

          public void append(Text text)

      This will append the content of another `Text` node to this node.
      Overrides:
        `append` in class `Text`
      Parameters:
        `text` - Text node to append.

    - #### toString

          public java.lang.String toString()

      This returns a `String` representation of the `CDATA` node, suitable for debugging. If the XML representation of the `CDATA` node is desired, either ``Text.getText()`` or `XMLOutputter.output(CDATA, java.io.Writer)` should be used.
      Overrides:
        `toString` in class `Text`
      Returns:
        `String` - information about this node.

Copyright ? 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.